EDIT - feature request #8138

[DISCUSS] Publish flag for facts and type designations
02/24/2019 01:30 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal

Description

In #7653#note-5 there was the wish for an individual publish flag on type desginations (especially for text based type designations)
=> #10458. Probably this also counts for the descriptions and/or description elements. => #10206

Implementation would be similar to the one for TaxonBase, where we removed all taxa and synonyms from webservice results and

made the local API configurable if results should return non-public data or not.

Related issues:

Related to EDIT - feature request #10206: Add publish flag to description base
Related to EDIT - feature request #10334: Evaluate DescriptionBase.publish in...
Copied from EDIT - feature request #7653: [DISCUSS] Delete NameFacts => Resul...
Copied to EDIT - discussion #10458: [DISCUSS] Publish flag for type designations

Closed
Closed
Closed
New

History

#1 - 02/24/2019 01:30 PM - Andreas Miiller
- Copied from feature request #7653: [DISCUSS] Delete NameFacts => Result: no added

#2 - 06/23/2020 02:53 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#3 - 12/16/2022 08:49 PM - Andreas Miiller
- Related to feature request #10206: Add publish flag to description base added

#4 - 05/28/2023 12:29 PM - Andreas Miiller

Flag implemented now for DescriptionBase #10206

#5 - 05/28/2023 12:46 PM - Andreas Miller

- Related to feature request #10334: Evaluate DescriptionBase.publish in webservices added

#6 - 01/19/2024 03:13 PM - Andreas Miiller
- Copied to discussion #10458: [DISCUSS] Publish flag for type designations added

#7 - 01/19/2024 03:16 PM - Andreas Miiller
- Description updated
- Status changed from New to Closed

- % Done changed from 0 to 100

The type designation discussion has been moved to #10458.

Factual data filter is implemented in #10206.

#8 - 02/14/2024 09:42 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.38
